%use case: regulering av effekt trukket fra nettet
%% for april-august
filename = 'Z:\MASTER\Labview codes\use_case_effektgrense\Measurement\Effektgrense lik 0.75\april-august\Measured Data mai-14-17 Time 1207.txt';%for min pc
delimiterIn = '\t';
measure = importdata(filename,delimiterIn); 
time=measure.data(:,1);
Vdc1 = measure.data(:,2);
Idc1 = measure.data(:,3);
Pdc1 = measure.data(:,4);
Iac1 = measure.data(:,5);
Pac1 = measure.data(:,6);

Vdc2 = measure.data(:,9);
Idc2 = measure.data(:,10);
Pdc2 = measure.data(:,11);
Iac2 = measure.data(:,12);
Pac2 = measure.data(:,13);

Vdc3 = measure.data(:,16);
Idc3 = measure.data(:,17);
Pdc3 = measure.data(:,18);
Iac3 = measure.data(:,19);

Pac3 = measure.data(2:3673,20);
Ppv = measure.data(2:3673,26);
%phase 3 er last

%% last med tilbakeskalering - bruker ac verdien til den fasen som er last, ganger med -1 fordi da er det lettere  se p plot:
last_april=(measure.data(2:721,20))*(-2.667/1000);
last_mai=(measure.data(722:1465,20))*(-2.667/1000);%forflyttet radene en ned fordi den frste mlingen var rar
last_juni=(measure.data(1466:2185,20))*(-2.667/1000);
last_juli=(measure.data(2186:2929,20))*(-2.667/1000);
last_august=(measure.data(2930:3673,20))*(-2.667/1000);

%% batteri:
bat_april=((measure.data(2:721,4))+(measure.data(2:721,11)))*(2.667/1000);
bat_mai=((measure.data(722:1465,4))+(measure.data(722:1465,11)))*(2.667/1000);%forflyttet radene en ned fordi den frste mlingen var rar
bat_juni=((measure.data(1466:2185,4))+(measure.data(1466:2185,11)))*(2.667/1000);
bat_juli=((measure.data(2186:2929,4))+(measure.data(2186:2929,11)))*(2.667/1000);
bat_august=((measure.data(2930:3673,4))+(measure.data(2930:3673,11)))*(2.667/1000);
%% produksjon
Ppv_april=(measure.data(2:721,26))*(2.667/1000);
Ppv_mai=(measure.data(722:1465,26))*(2.667/1000);
Ppv_juni=(measure.data(1466:2185,26))*(2.667/1000);
Ppv_juli=(measure.data(2186:2929,26))*(2.667/1000);
Ppv_august=(measure.data(2930:3673,26))*(2.667/1000);
%% for september
filename = 'Z:\MASTER\Labview codes\use_case_effektgrense\Measurement\Effektgrense lik 0.75\september\Measured Data mai-13-17 Time 1305.txt';%for min pc
delimiterIn = '\t';
load = importdata(filename,delimiterIn); 
%%%%
Vdc1_sep=load.data(:,2);
last_sep=(load.data(2:721,13))*(-2.667/1000);
bat_sep=((load.data(2:721,4))+(load.data(2:721,18)))*(2.667/1000);
Ppv_sep=(load.data(2:721,26))*(2.667/1000);
%phase 2 er last 
%%%%%
%% samler last for hver time for hele testperioden

samlet_last= Pac3.*(-2.667/1000); %hvilken fase er lasten i?
for i=1:720
    samlet_last(end+1)=(last_sep(i,1));
end

%samler pv prod. for hver time for hele testperioden 
samlet_pvprod=Ppv.*(2.667/1000);
for i=1:720
    samlet_pvprod(end+1)=(Ppv_sep(i,1));
end

%% samler batteri for hver time for hele testperioden
samlet_bat=((measure.data(2:3673,4))+(measure.data(2:3673,11)))*(2.667/1000);
for i=1:720
    samlet_bat(end+1)=bat_sep(i,1);
end
%energi til opplading
samlet_bat_over=zeros(4392,1);
for i=1:4392
    if samlet_bat(i,1)>0
        samlet_bat_over(i,1)=samlet_bat(i,1);
    end
end
%energi til utlading
samlet_bat_under=zeros(4392,1);
for i=1:4392
    if samlet_bat(i,1)<0
        samlet_bat_under(i,1)=samlet_bat(i,1);
    end
end


