%% use case effektgrense = 1.2 kW
%% for april-august
clear all
filename = 'Z:\MASTER\Labview codes\use_case_effektgrense\Measurement\Effektgrense lik 1.2\april-aug_effektgrense1.2.txt';%for min pc
delimiterIn = '\t';
mal = importdata(filename,delimiterIn); 
time = mal.data(:,1);
Vdc1 = mal.data(:,2);
Idc1 = mal.data(:,3);
Pdc1 = mal.data(:,4);
Iac1 = mal.data(:,5);
Pac1 = mal.data(:,6);

Vdc2 = mal.data(:,9);
Idc2 = mal.data(:,10);
Pdc2 = mal.data(:,11);
Iac2 = mal.data(:,12);
Pac2 = mal.data(:,13);

Vdc3 = mal.data(:,16);
Idc3 = mal.data(:,17);
Pdc3 = mal.data(:,18);
Iac3 = mal.data(:,19);
Pac3 = mal.data(2:3673,20);%lasten

Ppv = mal.data(2:3673,26);

%% last med tilbakeskalering - bruker ac verdien til den fasen som er last, ganger med -1 fordi da er det lettere  se p plot:
last_april=(mal.data(2:721,20))*(-2.667/1000);
last_mai=(mal.data(722:1465,20))*(-2.667/1000);%forflyttet radene en ned fordi den frste mlingen var rar
last_juni=(mal.data(1466:2185,20))*(-2.667/1000);
last_juli=(mal.data(2186:2929,20))*(-2.667/1000);
last_august=(mal.data(2930:3673,20))*(-2.667/1000);

%% batteri:
bat_april=((mal.data(2:721,4))+(mal.data(2:721,11)))*(2.667/1000);
bat_mai=((mal.data(722:1465,4))+(mal.data(722:1465,11)))*(2.667/1000);%forflyttet radene en ned fordi den frste mlingen var rar
bat_juni=((mal.data(1466:2185,4))+(mal.data(1466:2185,11)))*(2.667/1000);
bat_juli=((mal.data(2186:2929,4))+(mal.data(2186:2929,11)))*(2.667/1000);
bat_august=((mal.data(2930:3673,4))+(mal.data(2930:3673,11)))*(2.667/1000);
%% produksjon
Ppv_april=(mal.data(2:721,26))*(2.667/1000);
Ppv_mai=(mal.data(722:1465,26))*(2.667/1000);
Ppv_juni=(mal.data(1466:2185,26))*(2.667/1000);
Ppv_juli=(mal.data(2186:2929,26))*(2.667/1000);
Ppv_august=(mal.data(2930:3673,26))*(2.667/1000);
%% for september
filename = 'Z:\MASTER\Labview codes\use_case_effektgrense\Measurement\Effektgrense lik 1.2\september_effektgrense_1.2.txt';%for min pc
delimiterIn = '\t';
x = importdata(filename,delimiterIn); 
%phase 3 er last
time=x.data(:,1);
Vdc1_sep=x.data(:,2);
last_sep=(x.data(2:720,20))*(-2.667/1000);
bat_sep=((x.data(2:720,4))+(x.data(2:720,11)))*(2.667/1000);
Ppv_sep=(x.data(2:720,26))*(2.667/1000);

%% samler last for hver time for hele testperioden
samlet_last= Pac3.*(-2.667/1000); 
for i=1:719
    samlet_last(end+1)=(last_sep(i,1));
end

%% samler pv prod. for hver time for hele testperioden 
samlet_pvprod=Ppv.*(2.667/1000);
for i=1:719
    samlet_pvprod(end+1)=(Ppv_sep(i,1));
end

%% samler batteri for hver time for hele testperioden
samlet_bat=((mal.data(2:3673,4))+(mal.data(2:3673,11)))*(2.667/1000);
for i=1:719
    samlet_bat(end+1)=bat_sep(i,1);
end
%energi til opplading
samlet_bat_over=zeros(4391,1);
for i=1:4391
    if samlet_bat(i,1)>0
        samlet_bat_over(i,1)=samlet_bat(i,1);
    end
end
%energi til utlading
samlet_bat_under=zeros(4391,1);
for i=1:4391
    if samlet_bat(i,1)<0
        samlet_bat_under(i,1)=samlet_bat(i,1);
    end
end


